%define tarname epg
%define name emacs-easypg
%define version 0.0.16
%define release %mkrel 2

Summary: An all-in-one GnuPG interface for Emacs
Name: 	 %{name}
Version: %{version}
Release: %{release}
Source0: %{tarname}-%{version}.tar.gz
License: GPLv3+
Group: 	 Editors
Url: 	 http://www.easypg.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Provides: %{tarname} = %{version}-%{release}
Requires: emacs >= 21.4
Requires: gnupg >= 1.4.3
BuildRequires: emacs >= 21.4

%description
EasyPG is an all-in-one GnuPG interface for Emacs. It consists of two
parts: EasyPG Assistant and EasyPG Library. 

* EasyPG Assistant is a set of convenient tools to use GnuPG from Emacs.

* EasyPG Library is something of an elisp port of GPGME; it is a
  wrapper library which provides an API to some of GnuPG's functions.

%prep
%setup -q -n %{tarname}-%{version}

%build
%configure
%make

%install
%__rm -rf %{buildroot}
%makeinstall

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%_datadir/emacs/site-lisp/epg/*
%_infodir/*



%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.16-2mdv2009.0
+ Revision: 266617
- rebuild early 2009.0 package (before pixel changes)

* Fri May 16 2008 Lev Givon <lev@mandriva.org> 0.0.16-1mdv2009.0
+ Revision: 208203
- import emacs-easypg


* Fri May 16 2008 Lev Givon <lev@mandriva.org> 0.0.16-1mdv2008.1
- Package for Mandriva.

